Skip to main content
POST
/
wallets
/
payouts
/
cancel
Cancel a payout
curl --request POST \
  --url https://api.nuwebgroup.com/v1/wallets/payouts/cancel \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "walletTransactions",
      "id": 1,
      "attributes": {
        "customerId": 1,
        "walletId": 123,
        "type": 1,
        "typeSlug": "payout",
        "typeName": "Payout",
        "amount": -725,
        "oldBalance": 1000,
        "newBalance": 1725,
        "createdAt": "2021-11-26T11:59:00.000000Z",
        "updatedAt": "2021-11-26T11:59:00.000000Z",
        "confirmedAt": null,
        "cancelledAt": "2021-11-26T12:00:00.000000Z"
      },
      "relationships": {
        "wallets": {
          "type": "wallets",
          "id": 4
        }
      }
    }
  ],
  "included": [
    {
      "type": "wallets",
      "id": 1,
      "attributes": {
        "id": 1,
        "company_id": 1,
        "user_id": 9,
        "currency_id": 32,
        "currency_code": "GBP",
        "currency_name": "Pounds",
        "currency_symbol": "Β£",
        "available_balance": 1725,
        "refundable_balance_online": 500,
        "refundable_balance_offline": 1725,
        "createdAt": "2021-01-01T12:00:00.000000Z",
        "updatedAt": "2021-01-01T12:00:00.000000Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

walletTransactionId
integer
required

The pending payout transaction ID to cancel.

Response

Successfully cancelled the payout.

data
object
included
object[]